Bug 58401 - rpm --recompile or --rebuild fail in 4.0.3
rpm --recompile or --rebuild fail in 4.0.3
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-15 17:54 EST by Joseph Shraibman
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-29 17:45:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Shraibman 2002-01-15 17:54:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011221

Description of problem:
rpm --rebuild <src.rpm> gives a : No such file or directory 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try rpm --rebuild on a src rpm
2.
3.
	

Actual Results:  [root@p1 /local/download/srpms] ls -l pine-4.44-1.72.0.src.rpm
-rw-r--r--   1 root     root      2652514 Jan 15 17:23 pine-4.44-1.72.0.src.rpm
[root@p1 /local/download/srpms] rpm --rebuild pine-4.44-1.72.0.src.rpm
pine-4.44-1.72.0.src.rpm: No such file or directory
[root@p1 /local/download/srpms] rpm -recompile pine-4.44-1.72.0.src.rpm
pine-4.44-1.72.0.src.rpm: No such file or directory
[root@p1 /local/download/srpms]  rpm -v
RPM version 4.0.3
Copyright (C) 1998-2000 - Red Hat, Inc.
This program may be freely redistributed under the terms of the GNU GPL
 
Usage: rpm {--help}
       rpm {--version}

Additional info: I'm using a 6.x system.  I downloaded the rpm for rpm from rpm.org.
Comment 1 Jeff Johnson 2002-01-26 13:42:33 EST
Have you installed the rpm-build package?
Comment 2 Joseph Shraibman 2002-01-29 17:40:44 EST
No, I hadn't realized it existed.  What was the rational for putting the
building stuff in a seperate subpackage?

As for this bug rpm should at least give me an error message saying 'install
rpm-build'.
Comment 3 Jeff Johnson 2002-01-29 17:45:20 EST
The rationale is that rpm has far too many options and that
most users are not interested in building packages.

Again, you're asking for one program to give an error message
for another program, /bin/rpm != /usr/bin/rpmbuild. The "fix"
when the time comes will be to remove the popt alias magic glue
to report a "No such option error". The build modes are
in /usr/bin/rpmbuild and they will stay there forever more.
Comment 4 Jeff Johnson 2002-02-05 12:49:06 EST
This problem appears resolved. At least for rpm-4.0.4,
the same goofiness with rpmb vs rpmbuild will continue
to exist.

Note You need to log in before you can comment on or make changes to this bug.